Initiate a new account for the customer
curl --request POST \
--url https://client-api.dev.finhost.io/v1/accounts \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"title": "<string>",
"currency": "<string>",
"companyId": "<string>",
"variantId": "<string>"
}
'import requests
url = "https://client-api.dev.finhost.io/v1/accounts"
payload = {
"title": "<string>",
"currency": "<string>",
"companyId": "<string>",
"variantId": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
title: '<string>',
currency: '<string>',
companyId: '<string>',
variantId: '<string>'
})
};
fetch('https://client-api.dev.finhost.io/v1/accounts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "db4e04c3-4756-f3c4-7497-be928c51135",
"entity": "account",
"operation": "async",
"status": "processed"
}Accounts
Initiate a new account for the customer
Initiate a process of creation a new financial account for the customer
POST
/
v1
/
accounts
Initiate a new account for the customer
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Response
201 - application/json
The account was initiated
Requested entity ID
Example:
"db4e04c3-4756-f3c4-7497-be928c51135"
Requested entity
Example:
"account"
Operation type
Available options:
sync, async Example:
"async"
Operation status
Available options:
queue, processed, pending Example:
"processed"
⌘I